IF NOT EXISTS(SELECT TOP 1
								1
							FROM
								information_schema.tables
							WHERE
							 table_name = 'EST_PROD_MIX_AGD_BLOQUEIO_FILIAL')
	BEGIN
			CREATE TABLE [dbo].[EST_PROD_MIX_AGD_BLOQUEIO_FILIAL]
				(
					 [CD_CTR]    BIGINT NOT NULL,
					 [CD_FILIAL] INT NOT NULL,
					 CONSTRAINT [PK_EST_PROD_MIX_AGD_BLOQUEIO_FILILA] PRIMARY KEY CLUSTERED ([CD_CTR], [CD_FILIAL]),
					 CONSTRAINT [EST_PROD_MIX_AGD_BLOQUEIO_FILIAL_fk] FOREIGN KEY ([CD_CTR]) 
							REFERENCES [dbo].[EST_PROD_MIX_AGD_BLOQUEIO] ([CD_CTR]) ON UPDATE NO ACTION ON DELETE CASCADE
				)
			ON [PRIMARY]
	END 
